Get All Settlements
curl --request POST \
--url https://sandbox.cashfree.com/pg/settlements \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"pagination": {
"limit": 10,
"cursor": "eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=="
},
"filters": {
"cf_settlement_ids": [
"4234233"
],
"settlement_utrs": [
"utr1",
"utr2"
],
"start_date": "2022-07-20T00:00:00Z",
"end_date": "2022-07-21T23:59:59Z"
}
}
'import requests
url = "https://sandbox.cashfree.com/pg/settlements"
payload = {
"pagination": {
"limit": 10,
"cursor": "eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=="
},
"filters": {
"cf_settlement_ids": ["4234233"],
"settlement_utrs": ["utr1", "utr2"],
"start_date": "2022-07-20T00:00:00Z",
"end_date": "2022-07-21T23:59:59Z"
}
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pagination: {
limit: 10,
cursor: 'eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=='
},
filters: {
cf_settlement_ids: ['4234233'],
settlement_utrs: ['utr1', 'utr2'],
start_date: '2022-07-20T00:00:00Z',
end_date: '2022-07-21T23:59:59Z'
}
})
};
fetch('https://sandbox.cashfree.com/pg/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/pg/settlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pagination' => [
'limit' => 10,
'cursor' => 'eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=='
],
'filters' => [
'cf_settlement_ids' => [
'4234233'
],
'settlement_utrs' => [
'utr1',
'utr2'
],
'start_date' => '2022-07-20T00:00:00Z',
'end_date' => '2022-07-21T23:59:59Z'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-version: <x-api-version>",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/pg/settlements"
payload := strings.NewReader("{\n \"pagination\": {\n \"limit\": 10,\n \"cursor\": \"eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==\"\n },\n \"filters\": {\n \"cf_settlement_ids\": [\n \"4234233\"\n ],\n \"settlement_utrs\": [\n \"utr1\",\n \"utr2\"\n ],\n \"start_date\": \"2022-07-20T00:00:00Z\",\n \"end_date\": \"2022-07-21T23:59:59Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-version", "<x-api-version>")
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/pg/settlements")
.header("x-api-version", "<x-api-version>")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"pagination\": {\n \"limit\": 10,\n \"cursor\": \"eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==\"\n },\n \"filters\": {\n \"cf_settlement_ids\": [\n \"4234233\"\n ],\n \"settlement_utrs\": [\n \"utr1\",\n \"utr2\"\n ],\n \"start_date\": \"2022-07-20T00:00:00Z\",\n \"end_date\": \"2022-07-21T23:59:59Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/pg/settlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-version"] = '<x-api-version>'
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pagination\": {\n \"limit\": 10,\n \"cursor\": \"eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==\"\n },\n \"filters\": {\n \"cf_settlement_ids\": [\n \"4234233\"\n ],\n \"settlement_utrs\": [\n \"utr1\",\n \"utr2\"\n ],\n \"start_date\": \"2022-07-20T00:00:00Z\",\n \"end_date\": \"2022-07-21T23:59:59Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"cf_payment_id": "553338",
"order_id": "order-12-127",
"entity": "settlement",
"order_amount": 100,
"payment_time": "2021-07-13T13:13:59+05:30",
"service_charge": 10,
"service_tax": 1.8,
"settlement_amount": 88.2,
"cf_settlement_id": "6121238",
"transfer_id": 238,
"transfer_time": "2021-07-25T12:57:52+05:30",
"transfer_utr": "N87912312",
"order_currency": "INR",
"settlement_currency": "INR",
"forex_conversion_handling_charge": 11.12,
"forex_conversion_handling_tax": 1.12,
"forex_conversion_rate": 84.24,
"charges_currency": "INR"
}{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}Settlements
Get All Settlements
Use this API to get all settlement details by specifying the settlement ID, settlement UTR or date range.
POST
/
settlements
Get All Settlements
curl --request POST \
--url https://sandbox.cashfree.com/pg/settlements \
--header 'Content-Type: application/json' \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"pagination": {
"limit": 10,
"cursor": "eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=="
},
"filters": {
"cf_settlement_ids": [
"4234233"
],
"settlement_utrs": [
"utr1",
"utr2"
],
"start_date": "2022-07-20T00:00:00Z",
"end_date": "2022-07-21T23:59:59Z"
}
}
'import requests
url = "https://sandbox.cashfree.com/pg/settlements"
payload = {
"pagination": {
"limit": 10,
"cursor": "eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=="
},
"filters": {
"cf_settlement_ids": ["4234233"],
"settlement_utrs": ["utr1", "utr2"],
"start_date": "2022-07-20T00:00:00Z",
"end_date": "2022-07-21T23:59:59Z"
}
}
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
pagination: {
limit: 10,
cursor: 'eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=='
},
filters: {
cf_settlement_ids: ['4234233'],
settlement_utrs: ['utr1', 'utr2'],
start_date: '2022-07-20T00:00:00Z',
end_date: '2022-07-21T23:59:59Z'
}
})
};
fetch('https://sandbox.cashfree.com/pg/settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/pg/settlements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'pagination' => [
'limit' => 10,
'cursor' => 'eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ=='
],
'filters' => [
'cf_settlement_ids' => [
'4234233'
],
'settlement_utrs' => [
'utr1',
'utr2'
],
'start_date' => '2022-07-20T00:00:00Z',
'end_date' => '2022-07-21T23:59:59Z'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-version: <x-api-version>",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/pg/settlements"
payload := strings.NewReader("{\n \"pagination\": {\n \"limit\": 10,\n \"cursor\": \"eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==\"\n },\n \"filters\": {\n \"cf_settlement_ids\": [\n \"4234233\"\n ],\n \"settlement_utrs\": [\n \"utr1\",\n \"utr2\"\n ],\n \"start_date\": \"2022-07-20T00:00:00Z\",\n \"end_date\": \"2022-07-21T23:59:59Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-version", "<x-api-version>")
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/pg/settlements")
.header("x-api-version", "<x-api-version>")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"pagination\": {\n \"limit\": 10,\n \"cursor\": \"eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==\"\n },\n \"filters\": {\n \"cf_settlement_ids\": [\n \"4234233\"\n ],\n \"settlement_utrs\": [\n \"utr1\",\n \"utr2\"\n ],\n \"start_date\": \"2022-07-20T00:00:00Z\",\n \"end_date\": \"2022-07-21T23:59:59Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/pg/settlements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-version"] = '<x-api-version>'
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"pagination\": {\n \"limit\": 10,\n \"cursor\": \"eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTg4NjcxNDVdLCJlbXB0eSI6ZmFsc2V9LCJyZWNvbkFQSVR5cGUiOiJMRURHRVIifQ==\"\n },\n \"filters\": {\n \"cf_settlement_ids\": [\n \"4234233\"\n ],\n \"settlement_utrs\": [\n \"utr1\",\n \"utr2\"\n ],\n \"start_date\": \"2022-07-20T00:00:00Z\",\n \"end_date\": \"2022-07-21T23:59:59Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"cf_payment_id": "553338",
"order_id": "order-12-127",
"entity": "settlement",
"order_amount": 100,
"payment_time": "2021-07-13T13:13:59+05:30",
"service_charge": 10,
"service_tax": 1.8,
"settlement_amount": 88.2,
"cf_settlement_id": "6121238",
"transfer_id": 238,
"transfer_time": "2021-07-25T12:57:52+05:30",
"transfer_utr": "N87912312",
"order_currency": "INR",
"settlement_currency": "INR",
"forex_conversion_handling_charge": 11.12,
"forex_conversion_handling_tax": 1.12,
"forex_conversion_rate": 84.24,
"charges_currency": "INR"
}{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}Authorizations
XClientID & XClientSecretXClientID & XPartnerAPIKeyXClientID & XClientSignatureHeaderXPartnerMerchantID & XPartnerAPIKey
Client app ID. You can find your app id in the merchant dashboard.
Client secret key. You can find your secret in the merchant dashboard.
Headers
Body
application/json
Request Body to get the settlements
Request to fetch settlement
Response
OK
Settlement entity object
